import React, { useEffect } from "react";
import { KeepAlive, useModel, useLocation, history } from "umi";

// 自定义 Hook
const useKeepAlive = (WrappedComponent) => {
  return (props) => {
    const { pathname } = useLocation();

    const {
      initialState: { routes },
      setInitialState,
    } = useModel("@@initialState");

    return (
      <KeepAlive
        name={pathname}
      >
        <WrappedComponent {...props} />
      </KeepAlive>
    );
  };
};

export default useKeepAlive;
